> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/settings/setup/user-settings.md).

# User settings

Setup user settings.

You can access user settings through [Settings](/pim3/reference/settings.md) > [Setup](/pim3/reference/settings/setup.md) > [User settings](/pim3/reference/settings/setup/user-settings.md).

### Languages

The languages this user can access.

### Dimensions

Choose which segments are accessible for this user. This can be done for all existing [dimensions](/pim3/reference/product-model-setup/dimensions.md).

{% hint style="info" %}
**Note** Choose whether each language and segment is editable or read-only for the user by enabling or disabling the Readonly toggles.
{% endhint %}

### Product fields

The columns you want to see in the search list for products.

### Variant fields

The columns you want to see in the search list for variants.

### Variant group fields

The columns you want to see in the search list for variant groups.

### Category fields

The columns you want to see in the search list for the categories.

{% hint style="info" %}
**Note** Remember to click "Save user settings" after making changes.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/settings/setup/user-settings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
